package functionaljavatest;

import java.awt.Point;

/**
 *
 * @author ubik
 */
public class Vec {

    public double x;
    public double y;

    public Vec(double x, double y) {
        this.x = x;
        this.y = y;
    }

    public Vec add(double dx, double dy) {
        return new Vec(x+dx,y+dy);
    }
    
    public Vec add( Vec other ) {
        return new Vec(x+other.x,y+other.y);
    }
    
    public Vec copy() {
        return new Vec(x,y);
    }
    
    public Vec normal() {
        return new Vec(y,-x);
    }
    
    public Vec scale( double a ) {
        return new Vec(x*a,y*a);
    }
    
    public double length() {
        return Math.sqrt(x*x+y*y);
    }
}
